using System;


namespace ServerSettings
{
    public class QuorumSettings
    {
        public String AccessKey;
        public String PublicKey;
        public String UrlWithAccessKey;
        public String ContractAddress;
        public String ContractAbi;
        public String ContractByteCode;

        public QuorumSettings()
        {
			// your quorum server settings
            UrlWithAccessKey = "";
            PublicKey = "";
            AccessKey = "";
			
			// details of the contract you have deployed to the blockchain
            ContractAddress = "";
			// remember to replace all the " with "" in your ContractAbi before pasting itt into the ContractAbi variable below
            ContractAbi = @"<ContractAbi>";
            ContractByteCode = "";

        }

    }

    public class RopstenSettings
    {
        public String Url;
        public String ContractAddress;
        public String ContractAbi;
        public String ContractByteCode;

        public RopstenSettings()
        {
			// your infura transaction node settings
            Url = "";
			
			// details of the contract you have deployed to the blockchain
            ContractAddress = "";
			// remember to replace all the " with "" in your ContractAbi before pasting itt into the ContractAbi variable below
            ContractAbi = @"<ContractAbi>";
            ContractByteCode = "";
        }
    }

    public class MetamaskSettings
    {
        public String PublicKey;

        public MetamaskSettings()
        {
			// your own metamask public key
            PublicKey = "";
        }
    }

    public class WalletSettings
    {
        public String Password;
        public String Words;

        public WalletSettings()
        {
			// randomly generated wallet for testing purposes only
            Password = "password";
            Words = "ripple scissors kick mammal hire column oak again sun offer wealth tomorrow wagon turn fatal";
        }
    }

}